---

- name: install requirements
  package:
    name: "{{ item }}"
    state: present
  loop:
    - unzip

- name: create ansible local facts directory
  file:
    dest: /etc/ansible/facts.d
    state: directory
    owner: root
    group: root
    mode: 0755

- name: create coremedia group
  group:
    name: "{{ coremedia_base_group }}"
    state: present

- name: create coremedia user
  user:
    name: "{{ coremedia_base_user }}"
    group: "{{ coremedia_base_group }}"
    shell: "/bin/bash"
    createhome: true
    comment: coremedia user
    home: "{{ coremedia_base_directory }}"

- name: create application data directory
  file:
    path: "{{ theme_importer.user_home }}"
    state: directory
    owner: "{{ coremedia_base_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0750

- name: ensure base logging directory exists
  file:
    path: /var/log/coremedia
    state: directory
    owner: "{{ coremedia_base_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0750

- name: create application logging directory
  file:
    src: "{{ theme_importer.user_home }}/logs"
    dest: "/var/log/coremedia/{{ coremedia_application_name }}"
    state: link
    force: true
    follow: false
    owner: "{{ coremedia_base_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0750

- name: create import directories
  file:
    path: "{{ item }}"
    state: directory
    owner: "{{ coremedia_base_user }}"
    group: "{{ coremedia_base_group }}"
    mode: 0770
  loop:
    - "{{ theme_importer.import.transformer.10.property.source_path }}"
    - "{{ theme_importer.import.multi_result_generator_factory.property.inbox }}"

- name: create local temporary path
  become: false
  file:
    path: "{{ local_tmp_directory }}"
    state: directory
  delegate_to: localhost

- name: create temporary path for deployment artefacts
  file:
    path: "{{ deployment_tmp_directory }}"
    state: directory
